package com.muyu.enterprise.cache;

import com.muyu.common.cache.CacheAbsBacis;
import com.muyu.domain.MessageTemplate;
import com.muyu.domain.MessageValue;
import com.muyu.domain.req.MessageValueReq;
import com.muyu.domain.resp.MessageValueListResp;

import java.util.List;

/**
 * 报文模版缓存
 */
public class AllMessageValueCacheService extends CacheAbsBacis<String, List<MessageValueListResp>> {


    @Override
    public void clear() {

    }

    @Override
    public String keyPre() {
        return "AllMessagevalue:info:";
    }

    @Override
    public String decode(String key) {
        return key.replace("AllMessagevalue:info:", "");
    }
}
